Package org.zkoss.web.servlet.dsp.action

## Class Choose

- java.lang.Object
- - org.zkoss.web.servlet.dsp.action.AbstractAction
  - - org.zkoss.web.servlet.dsp.action.Choose

- All Implemented Interfaces:
    `Action`

      public class Choose
      extends AbstractAction

  Provides the context for mutually exclusive conditional execution.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Choose()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isTrim()` | Returns whether to trim the result.
    `void` | `render​(ActionContext ac, boolean nested)` | Processes the action and renders the output to `ActionContext.getOut()`.
    `void` | `setTrim​(boolean trim)` | Sets whether to trim the result.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.web.servlet.dsp.action.AbstractAction

      `append, append, append, getIf, getUnless, isEffective, setIf, setUnless, toScope`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Choose

          public Choose()

  - ### Method Detail

    - #### isTrim

          public boolean isTrim()

      Returns whether to trim the result.

    - #### setTrim

          public void setTrim​(boolean trim)

      Sets whether to trim the result.

      Default: true.

    - #### render

          public void render​(ActionContext ac,
                             boolean nested)
                      throws DspException,
                             java.io.IOException

      Description copied from interface: `Action`
      Processes the action and renders the output to `ActionContext.getOut()`.
        `nested` - whether there is any nested content.
      Throws:
        `DspException`
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`